Bug 178080 - [maintainer update] devel/ChipmunkPhysics bump from 6.1.3 to 6.1.4
[maintainer update] devel/ChipmunkPhysics bump from 6.1.3 to 6.1.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-23 13:00 UTC by ports
Modified: 2013-04-27 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.72 KB, patch)
2013-04-23 13:00 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2013-04-23 13:00:00 UTC
Again, I apologize for the delay --- I did not get informed by the bot about the update (which I did last time, no idea why it didn't work now). I've updated the port as soon as I noticed the version change on the official Chipmunk website.

Please note that I had to patch the file version from 6.1.3 to 6.1.4 -- the author seems to have forgotten to update that himself, and not fixing it might be problematic in cases where 6.1.3 and 6.1.4 might need to coexist (also, it might just spawn confusion). I have informed him of the mistake, and I assume he'll be fixing it soon.

Expect further changes soonish in case he modifies the original upload (changes, in order to fix the distinfo file, to reflect modified files). I'm submitting this anyways because it's *way* overdue and I don't even know if he'll go along with modifying the incorrectly versioned files.

One last thing: There are lots of changes in the pkg-plist file -- this is due to me switching from unsorted output (which had an arbitrary ordering, and was a problem for maintaining it) to sorted output. Future changes should be smaller in that file.

Fix: Patch file is attached.


Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 ports 2013-04-23 13:05:43 UTC
Just confirming that it really is me who submitted this. You'll notice the
"from:" address is from the correct email.


On 23 April 2013 14:00, <FreeBSD-gnats-submit@freebsd.org> wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/178080'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=178080
>
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [maintainer update] devel/ChipmunkPhysics bump from 6.1.3
> to 6.1.4
> >Arrival-Date:   Tue Apr 23 12:00:00 UTC 2013
>
Comment 2 Guido Falsi freebsd_committer 2013-04-26 08:34:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2013-04-27 12:52:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2013-04-27 12:52:43 UTC
Author: madpilot
Date: Sat Apr 27 11:52:33 2013
New Revision: 316661
URL: http://svnweb.freebsd.org/changeset/ports/316661

Log:
  - Update to 6.1.4
  
  PR:		ports/178080
  Submitted by:	Tim Cas <ports@stdrand.com> (maintiner)

Modified:
  head/devel/ChipmunkPhysics/Makefile
  head/devel/ChipmunkPhysics/distinfo
  head/devel/ChipmunkPhysics/pkg-plist

Modified: head/devel/ChipmunkPhysics/Makefile
==============================================================================
--- head/devel/ChipmunkPhysics/Makefile	Sat Apr 27 11:13:27 2013	(r316660)
+++ head/devel/ChipmunkPhysics/Makefile	Sat Apr 27 11:52:33 2013	(r316661)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ChipmunkPhysics
-PORTVERSION=	6.1.3
+PORTVERSION=	6.1.4
 CATEGORIES=	devel
 MASTER_SITES=	http://chipmunk-physics.net/release/Chipmunk-6.x/ \
 		http://files.libsiege.org/chipmunk/
@@ -21,4 +21,7 @@ MAKE_JOBS_SAFE=	yes
 
 USE_LDCONFIG=	yes
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|6.1.3|6.1.4|g' ${WRKSRC}/src/CMakeLists.txt
+
 .include <bsd.port.mk>

Modified: head/devel/ChipmunkPhysics/distinfo
==============================================================================
--- head/devel/ChipmunkPhysics/distinfo	Sat Apr 27 11:13:27 2013	(r316660)
+++ head/devel/ChipmunkPhysics/distinfo	Sat Apr 27 11:52:33 2013	(r316661)
@@ -1,2 +1,2 @@
-SHA256 (Chipmunk-6.1.3.tgz) = 8fdc250e5259f82b59c79d94b2dcded1f906c8e2a3c616098d73f9459cb3c3cc
-SIZE (Chipmunk-6.1.3.tgz) = 325756
+SHA256 (Chipmunk-6.1.4.tgz) = 6746caff4639c5b9ea44831d42695dadacd283af754d3f310264c8e8a85f0ba3
+SIZE (Chipmunk-6.1.4.tgz) = 325808

Modified: head/devel/ChipmunkPhysics/pkg-plist
==============================================================================
--- head/devel/ChipmunkPhysics/pkg-plist	Sat Apr 27 11:13:27 2013	(r316660)
+++ head/devel/ChipmunkPhysics/pkg-plist	Sat Apr 27 11:52:33 2013	(r316661)
@@ -1,30 +1,30 @@
-lib/libchipmunk.so.6.1.3
+lib/libchipmunk.so.6.1.4
 lib/libchipmunk.so
 lib/libchipmunk.a
-include/chipmunk/cpBody.h
-include/chipmunk/chipmunk_unsafe.h
 include/chipmunk/cpVect.h
 include/chipmunk/cpSpatialIndex.h
-include/chipmunk/chipmunk_ffi.h
-include/chipmunk/chipmunk.h
-include/chipmunk/cpShape.h
 include/chipmunk/cpSpace.h
+include/chipmunk/cpShape.h
 include/chipmunk/cpPolyShape.h
-include/chipmunk/chipmunk_types.h
-include/chipmunk/cpArbiter.h
+include/chipmunk/cpBody.h
 include/chipmunk/cpBB.h
-include/chipmunk/chipmunk_private.h
-include/chipmunk/constraints/cpConstraint.h
+include/chipmunk/cpArbiter.h
 include/chipmunk/constraints/util.h
-include/chipmunk/constraints/cpGearJoint.h
-include/chipmunk/constraints/cpGrooveJoint.h
 include/chipmunk/constraints/cpSlideJoint.h
-include/chipmunk/constraints/cpDampedRotarySpring.h
-include/chipmunk/constraints/cpPivotJoint.h
-include/chipmunk/constraints/cpDampedSpring.h
-include/chipmunk/constraints/cpRatchetJoint.h
 include/chipmunk/constraints/cpSimpleMotor.h
 include/chipmunk/constraints/cpRotaryLimitJoint.h
+include/chipmunk/constraints/cpRatchetJoint.h
+include/chipmunk/constraints/cpPivotJoint.h
 include/chipmunk/constraints/cpPinJoint.h
+include/chipmunk/constraints/cpGrooveJoint.h
+include/chipmunk/constraints/cpGearJoint.h
+include/chipmunk/constraints/cpDampedSpring.h
+include/chipmunk/constraints/cpDampedRotarySpring.h
+include/chipmunk/constraints/cpConstraint.h
+include/chipmunk/chipmunk_unsafe.h
+include/chipmunk/chipmunk_types.h
+include/chipmunk/chipmunk_private.h
+include/chipmunk/chipmunk_ffi.h
+include/chipmunk/chipmunk.h
 @dirrm include/chipmunk/constraints
 @dirrm include/chipmunk
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"